# ETableSubset

## Name

ETableSubset --

## Synopsis

    #define     E_TABLE_SUBSET_TYPE
    typedef     ETableSubset;
    ETableModel* e_table_subset_new             (ETableModel *etm,
                                                 int n_vals);
    ETableModel* e_table_subset_construct       (ETableSubset *ets,
                                                 ETableModel *source,
                                                 int nvals);
    ETableModel* e_table_subset_get_toplevel    (ETableSubset *table_model);

## Object Hierarchy

      GtkObject
       +----ETableModel
             +----ETableSubset
                   +----ETableSubsetVariable
                   +----ETableSorted

## Description

## Details

### E_TABLE_SUBSET_TYPE

    #define E_TABLE_SUBSET_TYPE        (e_table_subset_get_type ())

### ETableSubset

    typedef struct {
    	ETableModel base;

    	ETableModel  *source;
    	int  n_map;
    	int *map_table;

    	int last_access;

    	int              table_model_pre_change_id;
    	int              table_model_changed_id;
    	int              table_model_row_changed_id;
    	int              table_model_cell_changed_id;
    } ETableSubset;

### e_table_subset_new ()

    ETableModel* e_table_subset_new             (ETableModel *etm,
                                                 int n_vals);

`etm` : |
`n_vals` : |
Returns : |

### e_table_subset_construct ()

    ETableModel* e_table_subset_construct       (ETableSubset *ets,
                                                 ETableModel *source,
                                                 int nvals);

`ets` : |
`source` : |
`nvals` : |
Returns : |

### e_table_subset_get_toplevel ()

    ETableModel* e_table_subset_get_toplevel    (ETableSubset *table_model);

`table_model` : |
Returns : |